libsigc++ 2.0: sigc::hide_functor< 4, T_functor > Struct Template Reference

Main Page Groups Namespaces

# sigc::hide_functor< 4, T_functor > Struct Template Reference
[hide(), hide_return()]

Adaptor that adds a dummy parameter to the wrapped functor. More...

Inheritance diagram for sigc::hide_functor< 4, T_functor >:

[legend]
List of all members.

## Public Types
typedef adapts< T_functor >::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type
## Public Member Functions
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5)
| Invokes the wrapped functor ignoring the 5th argument.
## Classes
struct | deduce_result_type

## Detailed Description

### template <class T_functor>
struct sigc::hide_functor< 4, T_functor >

Adaptor that adds a dummy parameter to the wrapped functor.

This template specialization ignores the value of the 4th parameter in operator()().

## Member Typedef Documentation

template <class T_functor>
typedef adapts<T_functor>::adaptor_type sigc::hide_functor<4, T_functor>::adaptor_type

| Reimplemented from sigc::adapts<T_functor>.

template <class T_functor>
typedef adaptor_type::result_type sigc::hide_functor<4, T_functor>::result_type

| Reimplemented from sigc::adapts<T_functor>.

## Member Function Documentation

template <class T_functor>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::hide_functor<4, T_functor>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 |
| ) | `[inline]`

  | Invokes the wrapped functor ignoring the 5th argument. Parameters:
  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.
  | _A_arg3 | Argument to be passed on to the functor.
  | _A_arg4 | Argument to be passed on to the functor.
  | _A_arg5 | Argument to be ignored.
Returns: The return value of the functor invocation.

The documentation for this struct was generated from the following file:

- adaptors/hide.h